API Guide Home (Online version only) |

# PhnPDPWrite Struct Reference

## Detailed Description

Definition at line 450 of file HsPhoneCDMATypes.h.

## Data Fields

- UInt8 idx
- Boolean use_existing_nai
- UInt8 nai_length
- UInt8 nai [phnMaxNAILen]
- Boolean use_existing_mn_aaa_ss
- Boolean store_mn_aaa_ss
- UInt8 mn_aaa_ss_length
- UInt8 mn_aaa_ss [phnMaxMNAAASharedSecretLen]
- Boolean use_existing_mn_ha_ss
- UInt8 reserved1
- UInt8 mn_ha_ss_length
- UInt8 mn_ha_ss [phnMaxMNHASharedSecretLen]
- Boolean use_existing_mn_aaa_spi
- UInt8 reserved2
- Boolean set_mn_aaa_spi
- DWord mn_aaa_spi
- Boolean use_existing_mn_ha_spi
- UInt8 reserved3
- Boolean set_mn_ha_spi
- DWord mn_ha_spi
- Boolean use_existing_rev_tunnel_pref
- UInt8 reserved4
- Boolean rev_tunnel_pref
- Boolean use_existing_home_addr
- UInt8 reserved5
- DWord home_addr
- Boolean use_existing_ha_addr
- UInt8 reserved6
- DWord prim_ha_addr
- DWord sec_ha_addr
- Boolean use_existing_svc_str
- Boolean use_default_svc_str
- UInt8 svc_str_length
- UInt8 svc_str [phnMaxSvcStrLen]
- Boolean use_existing_dial_str
- Boolean use_default_dial_str
- UInt8 dial_str_length
- UInt8 dial_str [phnMaxDialStrLen]
- Boolean use_existing_dns_server
- Boolean dns_server_assigned
- DWord prim_dns_addr
- DWord sec_dns_addr
- PhnPDPConnectionType connection_type
- PhnPDPService pdp_services

## Field Documentation

UInt8 idx

The index of the PDP to write to in the modem. The set of valid indexes that can be written to is dependent on the modem platform being used.

Definition at line 452 of file HsPhoneCDMATypes.h.

Boolean use_existing_nai

Boolean indicating if the NAI currently stored in this PDP should be saved. If set to FALSE, the following two fields are used for new NAI value.

Definition at line 457 of file HsPhoneCDMATypes.h.

UInt8 nai_length

The number of characters in the NAI.

Definition at line 462 of file HsPhoneCDMATypes.h.

UInt8 nai[phnMaxNAILen]

The user NAI character string in ASCII representation

Definition at line 465 of file HsPhoneCDMATypes.h.

Boolean use_existing_mn_aaa_ss

Boolean indicating if the MN-AAA-SS currently stored in this PDP should be saved. If set to FALSE, the following three fields are used for new MN-AAA-SS value.

Definition at line 468 of file HsPhoneCDMATypes.h.

Boolean store_mn_aaa_ss

Boolean indicating if the MN-AAA shared secret parameter is to be stored with this PDP profile. Setting this field to FALSE requires the host to send a temporary MN-AAA shared secret value to the modem before using this PDP to connect to a network.

Definition at line 474 of file HsPhoneCDMATypes.h.

UInt8 mn_aaa_ss_length

Length of the MN-AAA shared secret parameter to store in the modem for this PDP if the STORE_MN_AAA_SS field is set to TRUE.

Definition at line 480 of file HsPhoneCDMATypes.h.

UInt8 mn_aaa_ss[phnMaxMNAAASharedSecretLen]

Text/binary string of the MN-AAA shared secret parameter to store in the modem for this PDP if the STORE_MN_AAA_SS field is set to TRUE.

Definition at line 484 of file HsPhoneCDMATypes.h.

Boolean use_existing_mn_ha_ss

Boolean indicating if the MN-HA-SS currently stored in this PDP should be saved. If set to FALSE, the following three fields are used for new MN-HA-SS value.

Definition at line 488 of file HsPhoneCDMATypes.h.

UInt8 reserved1

for future use

Definition at line 493 of file HsPhoneCDMATypes.h.

UInt8 mn_ha_ss_length

Length of the MN-HA shared secret parameter to store in the modem for this PDP

Definition at line 496 of file HsPhoneCDMATypes.h.

UInt8 mn_ha_ss[phnMaxMNHASharedSecretLen]

Text/binary string of the MN-HA shared secret parameter to store in the modem for this PDP

Definition at line 500 of file HsPhoneCDMATypes.h.

Boolean use_existing_mn_aaa_spi

Boolean indicating if the MN-AAA SPI currently stored in this PDP should be saved. If set to FALSE, the following three fields are used for new MN-AAA SPI value.

Definition at line 504 of file HsPhoneCDMATypes.h.

UInt8 reserved2

for future use

Definition at line 509 of file HsPhoneCDMATypes.h.

Boolean set_mn_aaa_spi

Boolean indicating if the SPI for MN-AAA authentication is to be set for this PDP

Definition at line 512 of file HsPhoneCDMATypes.h.

DWord mn_aaa_spi

Integer value of the SPI for MN-AAA authentication parameter to store in the modem for this PDP if the SET_MN_AAA_SPI field is set to TRUE.

Definition at line 516 of file HsPhoneCDMATypes.h.

Boolean use_existing_mn_ha_spi

Boolean indicating if the MN-HA SPI currently stored in this PDP should be saved. If set to FALSE, the following three fields are used for new MN-HA SPI value.

Definition at line 520 of file HsPhoneCDMATypes.h.

UInt8 reserved3

for future use

Definition at line 525 of file HsPhoneCDMATypes.h.

Boolean set_mn_ha_spi

Boolean indicating if the SPI for MN-HA authentication is to be set for this PDP

Definition at line 528 of file HsPhoneCDMATypes.h.

DWord mn_ha_spi

Integer value of the SPI for MN-HA authentication parameter to store in the modem for this PDP if the SET_MN_HA_SPI field is set to TRUE.

Definition at line 532 of file HsPhoneCDMATypes.h.

Boolean use_existing_rev_tunnel_pref

Boolean indicating if the Reverse Tunneling Preference currently stored in this PDP should be saved. If set to FALSE, the following two fields are used for new Reverse Tunneling Preference values.

Definition at line 536 of file HsPhoneCDMATypes.h.

UInt8 reserved4

for future use

Definition at line 541 of file HsPhoneCDMATypes.h.

Boolean rev_tunnel_pref

Boolean indicating if reverse tunnel is to be used for this PDP.

Definition at line 544 of file HsPhoneCDMATypes.h.

Boolean use_existing_home_addr

Boolean indicating if the Home Address currently stored in this PDP should be saved. If set to FALSE, the following two fields are used for new Home Address value.

Definition at line 547 of file HsPhoneCDMATypes.h.

UInt8 reserved5

for future use

Definition at line 552 of file HsPhoneCDMATypes.h.

DWord home_addr

The home IP address of the modem. Setting this address to 0.0.0.0 will allow the IP address to be dynamically assigned by the PDSN for Mobile IP and Simple IP.

Definition at line 555 of file HsPhoneCDMATypes.h.

Boolean use_existing_ha_addr

Boolean indicating if the Home Agent IP Address currently stored in this PDP should be saved. If set to FALSE, the following three fields are used for new Home Agent IP Address values.

Definition at line 560 of file HsPhoneCDMATypes.h.

UInt8 reserved6

for future use

Definition at line 565 of file HsPhoneCDMATypes.h.

DWord prim_ha_addr

The Primary Home Agent IP address for this PDP

Definition at line 568 of file HsPhoneCDMATypes.h.

DWord sec_ha_addr

The Secondary Home Agent IP address for this PDP

Definition at line 571 of file HsPhoneCDMATypes.h.

Boolean use_existing_svc_str

Boolean indicating if the Service String currently stored in this PDP should be saved. If set to FALSE, the following three fields are used for new Service String value.

Definition at line 574 of file HsPhoneCDMATypes.h.

Boolean use_default_svc_str

Boolean indicating if the service string name that the modem would create for this profile (the carrier name string + user name portion of NAI) should be stored as the service string for this PDP.

Definition at line 579 of file HsPhoneCDMATypes.h.

UInt8 svc_str_length

The length of the service string to be stored for this PDP if USE_DEFAULT_SVC_STR is set to FALSE.

Definition at line 584 of file HsPhoneCDMATypes.h.

UInt8 svc_str[phnMaxSvcStrLen]

Text string of the service string to be stored for this PDP if USE_DEFAULT_SVC_STR is set to FALSE.

Definition at line 588 of file HsPhoneCDMATypes.h.

Boolean use_existing_dial_str

Boolean indicating if the Dial String currently stored in this PDP should be saved. If set to FALSE, the following three fields are used for new Dial String values.

Definition at line 592 of file HsPhoneCDMATypes.h.

Boolean use_default_dial_str

Boolean indicating if the dial string to associated and stored with this PDP should be set to the default Packet Data dial string stored in the modem.

Definition at line 597 of file HsPhoneCDMATypes.h.

UInt8 dial_str_length

The length of the dial string to be associated and stored with this PDP if USE_DEFAULT_DIAL_STR is FALSE.

Definition at line 602 of file HsPhoneCDMATypes.h.

UInt8 dial_str[phnMaxDialStrLen]

The dial string to be associated and stored with this PDP if USE_DEFAULT_DIAL_STR is FALSE.

Definition at line 606 of file HsPhoneCDMATypes.h.

Boolean use_existing_dns_server

Boolean indicating if the DNS Server currently stored in this PDP should be saved. If set to FALSE, the following three fields are used for new DNS Server values.

Definition at line 610 of file HsPhoneCDMATypes.h.

Boolean dns_server_assigned

Boolean indicating if specific DNS server IP addresses are to be associated and stored with this PDP.

Definition at line 615 of file HsPhoneCDMATypes.h.

DWord prim_dns_addr

The Primary DNS server IP address for this PDP if the DNS_SERVER_ASSIGNED field is set to TRUE.

Definition at line 619 of file HsPhoneCDMATypes.h.

DWord sec_dns_addr

The Secondary DNS server IP address for this PDP if the DNS_SERVER_ASSIGNED field is set to TRUE.

Definition at line 623 of file HsPhoneCDMATypes.h.

PhnPDPConnectionType connection_type

Connection type of the PDP

Definition at line 627 of file HsPhoneCDMATypes.h.

PhnPDPService pdp_services

Services for which this PDP should be used

Definition at line 630 of file HsPhoneCDMATypes.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:25 2008 for Palm API Guide